import { ReactNode, useEffect, useState } from "react";
import { Outlet, useNavigate, useParams } from "react-router-dom";

import { motion } from "framer-motion";
import { NavItem } from "@nice/client";
import { PostFormProvider } from "../context/PostEditorContext";

export default function PostEditorLayout() {
	const { id } = useParams();

	return (
		<>
			<PostFormProvider editId={id}>
				<div className="min-h-screen bg-gray-50">
					<div className="p-6">
						<Outlet></Outlet>
					</div>
				</div>
			</PostFormProvider>
		</>
	);
}
